about summary refs log tree commit diff
path: root/test/pamendian-roundtrip.test
diff options
context:
space:
mode:
Diffstat (limited to 'test/pamendian-roundtrip.test')
-rwxr-xr-xtest/pamendian-roundtrip.test22
1 files changed, 22 insertions, 0 deletions
diff --git a/test/pamendian-roundtrip.test b/test/pamendian-roundtrip.test
new file mode 100755
index 00000000..aed03c76
--- /dev/null
+++ b/test/pamendian-roundtrip.test
@@ -0,0 +1,22 @@
+#! /bin/bash
+# This script tests: pamendian
+# Also requires: pamdepth pgmtopbm pamseq
+
+echo "Test 1: Should print '0 0 0 : 0'" 
+
+tmpdir=${tmpdir:-/tmp}
+test0_pam=${tmpdir}/test0.pam
+
+pamseq 1 65535 > ${test0_pam}
+pamendian < ${test0_pam} | pamendian |\
+  cmp -s ${test0_pam} -
+  echo ${PIPESTATUS[@]} ":" $?
+
+rm ${test0_pam}
+
+
+echo "Test 2 should print echo '0 0 0 0 0 : 0'" 
+
+pamdepth 65535 testgrid.pbm | pamendian | pamendian | \
+  pgmtopbm -th -val=0.5 | cmp -s - testgrid.pbm
+  echo ${PIPESTATUS[@]} ":" $?
\ No newline at end of file